export interface CustomConfig {
    componentsWhiteList: string[] | null;
    entitiesWhiteList: string[];
    outDir: string;
    verbose: boolean;
    saveJsonToFile: boolean;
    sourceUrl: string | null;
    sourceFilePath: string | null;
    initProperties: boolean;
    initPropertiesMode: 'normal' | 'constructor' | 'initMethod';
    getInitAllMethods: boolean;
    getKeyDescriptorMethod: boolean;
    getFactoryMethod: boolean;
    getClassNameMethod: boolean;
    getRemoteEntityNameMethod: boolean;
    propertiesGetMethods: boolean;
    propertiesSetMethods: boolean;
    propertiesAccessibility: 'private' | 'public' | 'protected';
    propertiesCustomPrefix: string;
    normalizeClassNames: boolean;
    normalizeClassFilesNames: boolean;
    importsPathExtension: boolean;
    regionAnnotations: boolean;
    extendClass: {
        name: string;
        importPath: string;
    } | null;
    extendInterfaces: {
        name: string;
        importPath: string;
    }[];
    ifNotExistCondition: boolean;
    generateRowId: boolean | null;
    compAsDbName: boolean;
    outputSingleFile: boolean;
}
